! Inlist file used by Z. Keszthelyi et al. 
! Please see run star extras for more details. 

&star_job
!========= Parameters in run_star_extras  ===============================================
extras_lrpar = 3
! set in grid file
! extras_rpar(1) =  ! B0 initial eq. magnetic field strength in gauss
! [500, 1000, 2000, 3000, 4000, 5000, 6000, 7000, 8000, 9000, 10000, 11000, 12000, 13000, 14000, 15000, 20000, 25000, 30000, 50000]
! Beff and Deceff are not used in Paper IV. 
extras_rpar(2) = 1.d0    ! Beff = efficiency of magnetic braking 
extras_rpar(3) = 1.d0    ! Deceff = efficiency of magnetic field decay B0*exp(- Deceff * star_age/12d6)
                         ! where t_ms = 12d6 is tailored for tau Sco's approx. ms lifetime (Paper III).
extras_lcpar = 2
! torque_method:
! in separate inlist overwrite for SURF: 
! needed even if model is nomag (not used then).
 extras_cpar(1) = 'UNIFORM_TORQUE'   !'SURFACE_TORQUE' or UNIFORM_TORQUE  ! (see run star extras)
! magnetic field evolution  
extras_cpar(2) = 'CON'              ! [CONST., CON or DEC for constant, magnetic flux conservation, or field decay
                                    ! Only flux conservation (CON) is used in Paper IV.
!========= output =======================================================
save_model_when_terminate = .true.
save_model_filename = 'TAMS.mod'
write_profile_when_terminate = .true.
filename_for_profile_when_terminate = 'LOGS/last_prof.data'
pgstar_flag = .false.
pause_before_terminate = .false. 
!========= initialization ===============================================
set_initial_age = .true.
initial_age = 0 ! in years
set_initial_model_number = .true.
initial_model_number = 0
set_initial_cumulative_energy_error = .true.
new_cumulative_energy_error = 0d0
!========= new METALLICITY ===============================================
! in separate inlist file
!============ initial surface rotation ===================================  
new_rotation_flag = .true.
change_rotation_flag = .false. ! rotation off until near zams

relax_omega_div_omega_crit = .true.
relax_initial_omega_div_omega_crit = .true.
near_zams_relax_omega_div_omega_crit = .true.

num_steps_to_relax_rotation = 50
num_steps_to_relax_composition = 50

new_omega_div_omega_crit = 0.5
!========= new net ================================

 change_initial_net = .true.
 new_net_name = 'approx21.net'

!==================================================

/  !end of star_job namelist

&controls   
!========= The OUTPUT =============================  
!         - filename - 
star_history_name = 'evol.data' 
!--------  initial stellar MASS ------------
! initial_mass = X ! set in grid file 
!================================

!======= MASS-LOSS RATES ============================= 
mdot_omega_power = 0.0     !0.43  ! We use an alternative formalism in the run_star_extras.
                           ! (The two should not be applied together.) 

!===== APPLY MASS-LOSS QUENCHING =============
!===== AND ROTATIONAL ENHANCEMENT ============      
use_other_wind =  .true.        !!! ON

!premix_omega = .true. 

!======= controls for mass loss near critical rotation 
max_mdot_redo_cnt = 900
min_years_dt_for_redo_mdot = 0
surf_omega_div_omega_crit_limit = 0.89999 ! default: 0.99d0
surf_omega_div_omega_crit_tol = 0.4d0     ! default: 0.05d0
mdot_revise_factor = 1.d2                 ! default: 1.1d0
implicit_mdot_boost = 0.05d0              ! default: 0.1d0
rotational_mdot_boost_fac = 1.d10           ! from ppisn 1d10
rotational_mdot_kh_fac = 1.d10              ! from ppisn 1d10

! === solver and other numerical settings ===
use_gold_tolerances = .false.
use_gold2_tolerances = .false.  !"level 2"

convergence_ignore_equL_residuals = .true. 
ignore_too_large_correction = .true.
make_gradr_sticky_in_solver_iters = .true.
 
op_split_burn = .false. ! .true.
do_solver_damping_for_neg_xa = .true.
xa_scale = 1d-5
solver_itermin = 3

include_composition_in_eps_grav = .true.
retry_limit = 35
max_tries_for_retry = 35  
tol_correction_norm = 3d-5
tol_max_correction = 3d-3
tol_residual_norm1 = 1d-10
tol_max_residual1 = 1d-9
iter_for_resid_tol2 = 6

solver_max_tries_before_reject = 35
solver_iters_timestep_limit = 6 ! If solver uses more iterations than this, reduce the next timestep
ignore_species_in_max_correction = .true.
dX_mix_dist_limit = 1d-4  !
!stop_for_bad_nums = .true.  ! debug

! ===time step ===
varcontrol_target = 1.d-4   ! default: 1.d-4
time_delta_coeff = 1.0d0
   
max_timestep_factor = 1.2d0
min_timestep_factor = 0.8d0
min_timestep_limit = 1.d-10
timestep_factor_for_retries = 0.4d0     
max_years_for_timestep = 1.d5    

report_ierr = .true. 
report_solver_progress = .true.
report_solver_dt_info = .true.

! ===mesh parameters===
max_allowed_nz = 20000
mesh_delta_coeff = 1.0d0 
okay_to_remesh = .true.
min_dq_for_xa = 1d-4      ! avoid over-resolving composition changes
max_dq = 0.0005           ! minimum number of cells = 1/max_dq

max_logT_for_k_below_const_q = 100
max_q_for_k_below_const_q = 0.99
min_q_for_k_below_const_q = 0.99
max_logT_for_k_const_mass = 100
max_q_for_k_const_mass = 0.98
min_q_for_k_const_mass = 0.98

! NO mlt++
okay_to_reduce_gradT_excess = .false.

! these are to properly resolve core hydrogen and helium depletion
delta_lg_XH_cntr_limit = 0.02d0
delta_lg_XH_cntr_max = 0.0d0
delta_lg_XH_cntr_min = -6.0d0
delta_lg_XH_cntr_hard_limit = 0.03d0

delta_lg_XHe_cntr_limit = 0.01d0
delta_lg_XHe_cntr_max   = 0.0d0
delta_lg_XHe_cntr_min   = -4.0d0
delta_lg_XHe_cntr_hard_limit = 0.02d0

! avoid large jumps in the HR diagram
delta_HR_limit = 0.005d0

dH_decreases_only = .false.
dH_div_H_limit_min_H = 1d-4
dH_div_H_limit = 0.9d0
dH_div_H_hard_limit = 1d99
!  dHe_div_He_limit = -1
!  delta_lgL_He_limit = 0.1  
delta_dX_div_X_cntr_min = -4

dX_nuc_drop_max_A_limit = 52
dX_nuc_drop_min_X_limit = 1d-4
dX_nuc_drop_hard_limit = 1d99

delta_lgL_nuc_limit = 0.01d0
delta_lgL_nuc_hard_limit = 0.02d0
delta_lgL_nuc_at_high_T_limit = -1
delta_lgL_nuc_at_high_T_hard_limit = -1
delta_lgL_nuc_at_high_T_limit_lgT_min = -1     
max_lgT_for_lgL_nuc_limit = 9.5d0
lgL_nuc_burn_min = 0.5d0
lgL_nuc_drop_factor = 10

delta_lgTeff_limit = 0.05d0   !0.03 
delta_lgL_limit = 0.5
delta_lgT_limit = 0.05d0
delta_lgT_max_limit_only_after_near_zams = .true.
delta_lgT_max_limit = 0.001     
delta_lgT_max_hard_limit = 0.01
delta_lgRho_cntr_limit = 0.05    
delta_lgRho_limit = 1.0       

!======= stopping options =========================
 xa_central_lower_limit_species(1) = 'h1'
 xa_central_lower_limit(1) = 1d-3
! xa_central_lower_limit_species(1) = 'he4'
! xa_central_lower_limit(1) = 1d-4

!======== ROTATIONAL INSTABILITIES  =============================
 skip_rotation_in_convection_zones = .true.   ! do not apply rot mix in conv.         
!================================
 am_nu_factor = 1.d0
!----------------------------------------------- 
      
!=============== MIXING LENGTH PARAMETERS ========================
mixing_length_alpha = 1.8d0   
MLT_option = 'Henyey'    
use_ledoux_criterion = .true.
alpha_semiconvection = 0d0
thermohaline_coeff = 0d0

! ============= OVERSHOOTING ====================================
!------------- exponential decay --------------------- 
! f0 is at the expense of the core, inward
! f is the exponential parameter
! it is very roughly true that 10 * (f - f0) = alpha_ov 
overshoot_scheme(1) = 'exponential'
overshoot_zone_type(1) = 'burn_H'  
overshoot_zone_loc(1) = 'core'
overshoot_bdy_loc(1) = 'top'
overshoot_f(1) = 0.015
overshoot_f0(1) = 0.005

overshoot_scheme(2) = 'exponential'
overshoot_zone_type(2) = 'burn_He'  
overshoot_zone_loc(2) = 'core'
overshoot_bdy_loc(2) = 'top'
overshoot_f(2) = 0.015
overshoot_f0(2) = 0.005

overshoot_scheme(3) = 'exponential'
overshoot_zone_type(3) = 'nonburn'
overshoot_zone_loc(3) = 'shell'
overshoot_bdy_loc(3) = 'any'
overshoot_f(3) = 0.0010
overshoot_f0(3) = 0.0005

min_overshoot_q = 0   ! 1.d-1
overshoot_D_min = 1.d2 

! atmosphere
atm_option = 'T_tau'
atm_T_tau_relation = 'Eddington'
atm_T_tau_opacity = 'fixed'

!-----------------------------------------------------------------------------

! output: profile & history
write_profiles_flag = .false. 
profile_interval = 190000
profile_data_prefix = '../models/prof.'
profile_data_suffix = '.data'
max_num_profile_models = 10
profiles_index_name = 'profiles.index'
photo_directory = 'photos'
photo_interval = 190000
terminal_interval = 190000
do_history_file = .true.     
max_model_number = 190000    
history_interval = 1     

/ ! end of controls namelist

&eos

okay_to_convert_ierr_to_skip = .true.
tiny_fuzz = 1.d-90

/ ! end of eos namelist

